Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class X1Profile

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
          edu.harvard.hul.ois.jhove.module.pdf.XProfileBase
              edu.harvard.hul.ois.jhove.module.pdf.X1Profile

    public final class X1Profile

extends XProfileBase

PDF profile checker for PDF/X-1 documents. See ISO Standard 15930-1, "Complete exchange using CMYK data (PDF/X-1 and PDF/X-1a)"

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.XProfileBase
`_bleedBoxPresent, _xType, PDFX1, PDFX1A, PDFX2, PDFX3`

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`_module, _parser, _profileText, _raf`

Constructor Summary
`X1Profile(PdfModule module)` Constructor.

Method Summary
`protected boolean` | `formObjectOK(PdfDictionary xo)` Checks if a Form xobject is valid.
`boolean` | `isX1aCompliant()` Returns the result of X-1a compliance testing which was performed in the course of `satisfiesThisProfile`.
`boolean` | `satisfiesThisProfile()` Returns `true` if the document satisfies the profile.
`protected boolean` | `xObjectOK(PdfDictionary xo)` Checks a single XObject for xObjectsOK.

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.XProfileBase
`bboxOK, checkPrefsAgainstBleedBox, extGStateOK, filterOK, imageObjectOK, infoDictOK, isBleedBoxPresent, outputIntentsOK, trailerDictOK`

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`getText, hasFilters, isAlreadyOK, satisfiesProfile, xObjectsOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X1Profile

    public X1Profile(PdfModule module)

  Constructor. Creates an X1Profile object for subsequent testing.

  Parameters:
    `module` - The module under which we are checking the profile.

Method Detail

### satisfiesThisProfile

    public boolean satisfiesThisProfile()

  Returns `true` if the document satisfies the profile. X-1a compliance is a superset of the requirements of X-1 compliance (i.e., X-1a compliant documents are a subset of X-1 compliant documents), so we test for X-1a compliance at the same time. The result can subsequently be obtained by calling `isX1aCompliant`.

  Specified by:
    `satisfiesThisProfile` in class `PdfProfile`

### isX1aCompliant

    public boolean isX1aCompliant()

  Returns the result of X-1a compliance testing which was performed in the course of `satisfiesThisProfile`. If `satisfiesThisProfile` hasn't been called, returns `false`.

### xObjectOK

    protected boolean xObjectOK(PdfDictionary xo)

  Description copied from class: `XProfileBase`
  Checks a single XObject for xObjectsOK. Calls imageObjectOK and formObjectOK for profile-specific functionality.

  Overrides:
    `xObjectOK` in class `XProfileBase`

### formObjectOK

    protected boolean formObjectOK(PdfDictionary xo)

  Checks if a Form xobject is valid. This overrides the method in XProfileBase.

  Overrides:
    `formObjectOK` in class `XProfileBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD